/*
 * hc595.h
 *
 * Created: 21-May-18 12:05:44
 *  Author: Iuliana
 */ 
  #define F_CPU 16000000

 #include <avr/io.h>
 #include <util/delay.h>


  #include <string.h>

#define HC595_PORT   PORTA
#define HC595_DDR    DDRA

#define HC595_DS_POS PA0      //Data pin (DS) pin location

#define HC595_SH_CP_POS PA1      //Shift Clock (SH_CP) pin location 
#define HC595_ST_CP_POS PA2      //Store Clock (ST_CP) pin location

#define HC595_DS_POS2 PA3
#define HC595_SH_CP_POS2 PA4
#define HC595_ST_CP_POS2 PA5

//Initialize HC595 System

void HC595Init(void);

void HC595Pulse(int device);

//Sends a clock pulse on ST_CP line
void HC595Latch(int device);

void HC595Write(uint8_t data, int device);


void Wait(void);